Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCXmlFileLoader

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCXmlFileLoader

public final class JDBCXmlFileLoader
extends Object

Immutable class which loads the JDBC application meta data from the jbosscmp-jdbc.xml files.

Version:
  $Revision: 1.10 $
Author:
  Dain Sundstrom, Sebastien Alborini

Constructor Summary
`JDBCXmlFileLoader(ApplicationMetaData application, ClassLoader classLoader, ClassLoader localClassLoader, org.jboss.logging.Logger log)` Constructs a JDBC XML file loader, which loads the JDBC application meta data from the jbosscmp-xml files.

Method Summary
`JDBCApplicationMetaData` | `load()` Loads the application meta data from the jbosscmp-jdbc.xml file

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCXmlFileLoader

    public JDBCXmlFileLoader(ApplicationMetaData application,
                             ClassLoader classLoader,
                             ClassLoader localClassLoader,
                             org.jboss.logging.Logger log)

  Constructs a JDBC XML file loader, which loads the JDBC application meta data from the jbosscmp-xml files.

Parameters:
  `application` - the application meta data loaded from the ejb-jar.xml file
  `classLoader` - the classLoader used to load all classes in the application
  `localClassLoader` - the classLoader used to load the jbosscmp-jdbc.xml file from the jar
  `log` - the log for this application

Method Detail

### load

    public JDBCApplicationMetaData load()
                                 throws org.jboss.deployment.DeploymentException

  Loads the application meta data from the jbosscmp-jdbc.xml file

  Returns:
    the jdbc application meta data loaded from the jbosscmp-jdbc.xml files
  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.